Bug 1266869 - content view with filter not working as expected
content view with filter not working as expected
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.1.2
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Partha Aji
jcallaha
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 05:52 EDT by Kathryn Dixon
Modified: 2016-07-27 07:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 07:20:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kathryn Dixon 2015-09-28 05:52:39 EDT
Description of problem:

customer has set up a content view to include only the following, by dates.

Include RHEL 6.5 and prior errata (Include Errata)
Errata type: Security & Enhancement & Bugfix
Start Date: 01-January-2010
End Date: 12-October-2014

Affecting repositories:
 	Red Hat Enterprise Linux 6 Server - Optional RPMs x86_64 6Server 
 	Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server 

Goal is in this content view is to keep the clients on rhel 6.5 by date/type filter.

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. create a content view with a filter

2. add the following repos to the view/filter.
Red Hat Enterprise Linux 6 Server - Optional RPMs x86_64 6Server 
Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server

3. the filer should have
Include RHEL 6.5 and prior errata (Include Errata)
Errata type: Security & Enhancement & Bugfix
Start Date: 01-January-2010
End Date: 12-October-2014

Actual results:

This server was already fully updated under the RHEL 6.5 repository but finds new rpms when using the 6server repository and a filter designed to keep it at 6.5 with all errata. One of these RPMs is redhat-release-server version 6.6 which obviously should not be there.

fontconfig.x86_64            2.8.0-5.el6                      rhel-6-server-rpms
gettext.x86_64               0.17-18.el6                      rhel-6-server-rpms
gettext-devel.x86_64         0.17-18.el6                      rhel-6-server-rpms
gettext-libs.x86_64          0.17-18.el6                      rhel-6-server-rpms
ghostscript-fonts.noarch     5.50-23.2.el6                    rhel-6-server-rpms
gnupg2.x86_64                2.0.14-8.el6                     rhel-6-server-rpms
grep.x86_64                  2.6.3-6.el6                      rhel-6-server-rpms
gzip.x86_64                  1.3.12-22.el6                    rhel-6-server-rpms
hpijs.x86_64                 1:3.12.4-6.el6                   rhel-6-server-rpms
hplip-common.x86_64          3.12.4-6.el6                     rhel-6-server-rpms
hplip-libs.x86_64            3.12.4-6.el6                     rhel-6-server-rpms
less.x86_64                  436-13.el6                       rhel-6-server-rpms
libvirt-client.x86_64        0.10.2-46.el6                    rhel-6-server-rpms
libvirt-devel.x86_64         0.10.2-46.el6                    rhel-6-server-rpms
libvisual.x86_64             0.4.0-10.el6                     rhel-6-server-rpms
pango.x86_64                 1.28.1-10.el6                    rhel-6-server-rpms
pciutils.x86_64              3.1.10-4.el6                     rhel-6-server-rpms
pciutils-libs.x86_64         3.1.10-4.el6                     rhel-6-server-rpms
perl-Crypt-SSLeay.x86_64     0.57-17.el6                      rhel-6-server-rpms
pulseaudio-libs.x86_64       0.9.21-17.el6                    rhel-6-server-rpms
python-isodate.noarch        0.5.0-4.pulp.el6_6sat            rhel-6-server-satellite-tools-6.1-rpms
redhat-release-server.x86_64 6Server-6.6.0.2.el6              rhel-6-server-rpms
rsync.x86_64                 3.0.6-12.el6                     rhel-6-server-rpms
sgml-common.noarch           0.6.3-33.el6                     rhel-6-server-rpms
system-config-firewall-base.noarch
                             1.2.27-7.1.el6                   rhel-6-server-rpms
system-config-firewall-tui.noarch
                             1.2.27-7.1.el6                   rhel-6-server-rpms
unixODBC.x86_64              2.2.14-14.el6                    rhel-6-server-rpms
unixODBC-devel.x86_64        2.2.14-14.el6                    rhel-6-server-rpms
xml-common.noarch            0.6.3-33.el6                     rhel-6-server-rpms
xz.x86_64                    4.999.9-0.5.beta.20091007git.el6 rhel-6-server-rpms
xz-libs.x86_64               4.999.9-0.5.beta.20091007git.el6 rhel-6-server-rpms
xz-lzma-compat.x86_64        4.999.9-0.5.beta.20091007git.el6 rhel-6-server-rpms



Expected results:

To allow the clients to stay on rhel 6.5 and receive errata/security updates that are relevant.


Additional info:

During a bomgar session we noticed that some errata in the satellite webui does not have any dates. Also, with this view setup customer often gets dependency issues when pushing errata to clients.
Comment 2 Partha Aji 2016-05-17 16:10:37 EDT
I have not been able to reproduce this on 6.2 Beta. Would want QE to test this and fail it if it recurs. Moving it to on_qa
Comment 3 jcallaha 2016-07-08 15:49:37 EDT
Verified in Satellite 6.2 Beta Snap 19.1.

Unable to reproduce the reported issue with this version of Satellite. Content View filters are currently working appropriately.
Comment 4 Bryan Kearney 2016-07-27 07:20:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.